Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging
Class ConnectionFactory

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.BasicConnectionFactory
              com.sun.messaging.ConnectionFactory

All Implemented Interfaces:
  Serializable, ConnectionFactory, Referenceable

Direct Known Subclasses:
  QueueConnectionFactory, TopicConnectionFactory, XAConnectionFactory

    public class ConnectionFactory

extends BasicConnectionFactory
implements Referenceable

A `ConnectionFactory` is used to create Connections with the Sun MQ Java Message Service (JMS) provider.

See Also:
  `javax.jms.ConnectionFactory`, `com.sun.messaging.ConnectionConfiguration`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`` `ConnectionFactory()` Constructs a ConnectionFactory with the default configuration.
`protected` `ConnectionFactory(String defaultsBase)` Constructs a ConnectionFactory with the specified configuration.

Method Summary
`QueueConnection` `createQueueConnection()` Creates a Queue Connection with the default user identity.
`QueueConnection` `createQueueConnection(String username, String password)` Creates a Queue Connection with a specified user identity.
`TopicConnection` `createTopicConnection()` Creates a Topic Connection with the default user identity.
`TopicConnection` `createTopicConnection(String username, String password)` Creates a Topic Connection with a specified user identity.
`Reference` `getReference()` Returns the reference to this object.

Methods inherited from class com.sun.messaging.BasicConnectionFactory
`createConnection, createConnection, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

Methods inherited from class com.sun.messaging.AdministeredObject

`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionFactory

    public ConnectionFactory()

  Constructs a ConnectionFactory with the default configuration.

### ConnectionFactory

    protected ConnectionFactory(String defaultsBase)

  Constructs a ConnectionFactory with the specified configuration.

Method Detail

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Creates a Queue Connection with the default user identity. The default user identity is defined by the `ConnectionFactory` properties `imqDefaultUsername` and `imqDefaultPassword`

  Returns:
    a newly created Queue Connection.
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `ConnectionConfiguration.imqDefaultUsername`, `ConnectionConfiguration.imqDefaultPassword`

### createQueueConnection

    public QueueConnection createQueueConnection(String username,
                                                 String password)
                                          throws JMSException

  Creates a Queue Connection with a specified user identity.

  Parameters:
    `username` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created queue connection.
  Throws:
    `JMSException` - if a JMS error occurs.

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Creates a Topic Connection with the default user identity. The default user identity is defined by the `ConnectionFactory` properties `imqDefaultUsername` and `imqDefaultPassword`

  Returns:
    a newly created Topic Connection.
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `ConnectionConfiguration.imqDefaultUsername`, `ConnectionConfiguration.imqDefaultPassword`

### createTopicConnection

    public TopicConnection createTopicConnection(String username,
                                                 String password)
                                          throws JMSException

  Creates a Topic Connection with a specified user identity.

  Parameters:
    `username` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created topic connection.
  Throws:
    `JMSException` - if a JMS error occurs.

### getReference

    public Reference getReference()

  Returns the reference to this object.

  Specified by:
    `getReference` in interface `Referenceable`
  Returns:
    The Reference Object that can be used to reconstruct this object

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.